Gogs (Go Git Service) is a painless self-hosted Git service.

This app packages Gogs 0.9.71.

### Purpose

The goal of this project is to make the easiest, fastest, and most painless way to set up a self-hosted Git service.

### Accounts

This app integrates with the Cloudron SSO. Admins on Cloudron automatically become admins on Gogs.

If you want to disable Cloudron SSO, do the following:
* Admin Panel -> Authentication -> 'cloudron' -> Uncheck 'This authentication is activated'
* Admin Panel -> Users -> Change Authentication Source to 'Local' and also give a password

You create a `/app/data/app.ini` with any custom configuration. See the 
[configuration cheat sheet](https://gogs.io/docs/advanced/configuration_cheat_sheet).

### Features

- Activity timeline
- SSH and HTTP/HTTPS protocols
- SMTP/LDAP/Reverse proxy authentication
- Reverse proxy with sub-path
- Account/Organization/Repository management
- Repository/Organization webhooks (including Slack)
- Repository Git hooks/deploy keys
- Repository issues, pull requests and wiki
- Add/Remove repository collaborators
- Gravatar and custom source
- Mail service
- Administration panel
- Supports MySQL, PostgreSQL, SQLite3 and [TiDB](https://github.com/pingcap/tidb) (experimental)
- Multi-language support ([15 languages](https://crowdin.com/project/gogs))

### Bug reports

Open bugs on [Github](https://github.com/cloudron-io/gogs-app/issues)
